### Function

# Vips value_get_array

#### Declaration [src]

    void*
    vips_value_get_array (
      const GValue* value,
      int* n,
      GType* type,
      size_t* sizeof_type
    )

#### Description [src]

Return the pointer to the array held by `value`. Optionally return the other properties of the array in `n`, `type`, `sizeof_type`.

See also

`vips_value_set_array()`.

#### Parameters

`value`

  Type: `GValue`

  `GValue` to get from.

  The data is owned by the caller of the function.

`n`

  Type: `int*`

  Return the number of elements here, optionally.

  The argument will be set by the function.
  The argument can be `NULL`.

`type`

  Type: `GType*`

  Return the type of each element here, optionally.

  The argument will be set by the function.
  The argument can be `NULL`.

`sizeof_type`

  Type: `size_t*`

  Return the sizeof each element here, optionally.

  The argument will be set by the function.
  The argument can be `NULL`.

#### Return value

Type: `void*`

The array address.

The data is owned by the called function.
The return value can be `NULL`.